http://iot.{region}.amazonaws.com/audit/mitigationactions/tasks#startTime&endTime<p>Gets a list of audit mitigation action tasks that match the specified filters.</p> <p>Requires permission to access the <a href="https://docs.aws.amazon.com/service-authorization/latest/reference/list_awsiot.html#awsiot-actions-as-permissions">ListAuditMitigationActionsTasks</a> action.</p>
Specify this filter to limit results to tasks that were applied to results for a specific audit.
Specify this filter to limit results to tasks that were applied to a specific audit finding.
Specify this filter to limit results to tasks that are in a specific state.
The maximum number of results to return at one time. The default is 25.
The token for the next set of results.
Specify this filter to limit results to tasks that began on or after a specific date and time.
Specify this filter to limit results to tasks that were completed or canceled on or before a specific date and time.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'http://iot.{region}.amazonaws.com/audit/mitigationactions/tasks#startTime&endTime' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://iot.{region}.amazonaws.com/audit/mitigationactions/tasks#startTime&endTime<p>Gets a list of audit mitigation action tasks that match the specified filters.</p> <p>Requires permission to access the <a href="https://docs.aws.amazon.com/service-authorization/latest/reference/list_awsiot.html#awsiot-actions-as-permissions">ListAuditMitigationActionsTasks</a> action.</p>
Specify this filter to limit results to tasks that were applied to results for a specific audit.
Specify this filter to limit results to tasks that were applied to a specific audit finding.
Specify this filter to limit results to tasks that are in a specific state.
The maximum number of results to return at one time. The default is 25.
The token for the next set of results.
Specify this filter to limit results to tasks that began on or after a specific date and time.
Specify this filter to limit results to tasks that were completed or canceled on or before a specific date and time.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'http://iot.{region}.amazonaws.com/audit/mitigationactions/tasks#startTime&endTime' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}